/*
 * test.c
 *
 * use async notification to read stdin
 *
 * Copyright (C) 2001 Alessandro Rubini and Jonathan Corbet
 * Copyright (C) 2001 O'Reilly & Associates
 *
 * The source code in this file can be freely used, adapted,
 * and redistributed in source or binary form, so long as an
 * acknowledgment appears in derived source files.  The citation
 * should list that the code comes from the book "Linux Device
 * Drivers" by Alessandro Rubini and Jonathan Corbet, published
 * by O'Reilly & Associates.   No warranty is attached;
 * we cannot take responsibility for errors or fitness for use.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <fcntl.h>

int gotdata=0;
char buffer[4096];

void sighandler(int signo)
{
	printf ("sighandler called :)\n");
  return;
}

int main(int argc, char **argv)
{
	int fd;
	char buff[50]; 
  int count;
  struct sigaction action;

	fd = open ("/dev/scull",O_RDWR | O_NONBLOCK);
	if (fd < 0)
		exit(0);

	memset (buff, '\0', 50);

  memset(&action, 0, sizeof(action));
  action.sa_handler = sighandler;
  action.sa_flags = 0;

  sigaction(SIGIO, &action, NULL);

  fcntl(fd, F_SETOWN, getpid());
  fcntl(fd, F_SETFL, fcntl(STDIN_FILENO, F_GETFL) | FASYNC);

  printf ("\n/dev/scull opened, fd=%d\n",fd);
	printf ("sizeof(buff)=%d\n",sizeof(buff));
	printf ("Read returns %d\n", read (fd, buff, sizeof(buff)));
	buff[127]=0;
	printf ("buff = %s \n",buff);
	close (fd);
	return 0;
}
