/*
 * hello.c 
 *
 * Prints "Hello Kernel" and "Goodbye Kernel" during init and cleanup modules.
 *
 * Copyright (C) 2001 Alessandro Rubini and Jonathan Corbet
 * Copyright (C) 2001 O'Reilly & Associates
 *
 * The source code in this file can be freely used, adapted,
 * and redistributed in source or binary form, so long as an
 * acknowledgment appears in derived source files.  The citation
 * should list that the code comes from the book "Linux Device
 * Drivers" by Alessandro Rubini and Jonathan Corbet, published
 * by O'Reilly & Associates.   No warranty is attached;
 * we cannot take responsibility for errors or fitness for use.
 *
 */

#include <linux/module.h>
#include <linux/config.h>
#include <linux/init.h>
#include <linux/kernel.h>

MODULE_LICENSE("GPL");

/* prototype declarations */
int init_module (void);
void cleanup_module (void); 
 
/* init module */
int init_module (void) 
{
	printk ("Hello kernel\n");
	return 0;
}

/* cleanup module */
void cleanup_module (void) 
{
	printk ("Goodbye kernel\n");
}
