/*
 * param.c 
 *
 * Passes arguments to the kernel from the command line.
 *
 * Copyright (C) 2001 Alessandro Rubini and Jonathan Corbet
 * Copyright (C) 2001 O'Reilly & Associates
 *
 * The source code in this file can be freely used, adapted,
 * and redistributed in source or binary form, so long as an
 * acknowledgment appears in derived source files.  The citation
 * should list that the code comes from the book "Linux Device
 * Drivers" by Alessandro Rubini and Jonathan Corbet, published
 * by O'Reilly & Associates.   No warranty is attached;
 * we cannot take responsibility for errors or fitness for use.
 *
 */
 
#include <linux/module.h>
#include <linux/config.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/fs.h>

MODULE_LICENSE("GPL");

/* prototype declarations */
int init_module (void);
void cleanup_module (void); 

int param_ival=0;
char *param_str="Blah";

MODULE_PARM(param_str, "s");
MODULE_PARM (param_ival, "i");

/* init module */
int init_module (void) 
{
	printk ("param_str=%s, param_ival=%d\n",param_str, param_ival);
	return 0;
}

/* cleanup module */
void cleanup_module (void) 
{
	printk ("Removed param\n");
}
