/*
 * read.c 
 *
 * Used to test the sleepy.c program for read process 
 * 
 * Copyright (C) 2004 Shakthi Kannan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <signal.h>
#include <string.h>

void signal_handler (int x) 
{
	printf ("Called signal handler\n");
	signal (SIGUSR1, signal_handler); /* Reset signal handler */
}

int main (void) 
{
	int fd;
	char buff[128]; 
  int ret;
	
	memset (buff, '\0', 128);

  signal (SIGUSR1, signal_handler);

	fd = open ("/dev/sleepy",O_RDWR); /* Setup signal handler */
	if (fd < 0)
		exit(0);
	printf ("\n/dev/sleepy opened, fd=%d\n",fd);
	printf ("sizeof(buff)=%d\n",sizeof(buff));

	ret = read (fd, buff, sizeof (buff));
	if (ret < 0) {
		printf ("read (ret<0) returns error");
	}
	else {
		printf ("Read returns %d\n",ret);
		printf ("Process woken up!\n");
	}
	close (fd);
	return 0;
}
