/*
 * test.c 
 *
 * Used to test the writeminor.c program for write operation to 
 * a specific minor device number.
 * 
 * Copyright (C) 2004 Shakthi Kannan
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>

int main (void) 
{
	int fd;
	char buff1[]="Testing writeminor0(), sure works!"; 
	char buff2[]="Testing writeminor1(), sure works!"; 

	fd = open ("/dev/write0",O_RDWR);
	if (fd < 0)
		exit(0);
	printf ("\n/dev/write0 opened, fd=%d\n",fd);
	printf ("sizeof(buff)=%d\n",sizeof(buff1));
	printf ("Write returns %d\n", write (fd, buff1, sizeof(buff1)));
	close (fd);

	fd = open ("/dev/write1",O_RDWR);
	if (fd < 0)
		exit(0);
	printf ("\n/dev/write1 opened, fd=%d\n",fd);
	printf ("sizeof(buff)=%d\n",sizeof(buff2));
	printf ("Write returns %d\n", write (fd, buff2, sizeof(buff2)));
	close (fd);

	return 0;
}
